curl --request GET \
--url https://production.trackstarhq.com/cart/orders \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/cart/orders"
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};
fetch('https://production.trackstarhq.com/cart/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "order_id",
"order_number": "order_number",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"status": "open",
"raw_status": "raw_status",
"requested_shipping_method": "Standard",
"shipping_method_id": "shipping_method_id",
"shipping_method_name": "Standard Shipping",
"carrier_id": "carrier_id",
"carrier_name": "Carrier Name",
"invoice_currency_code": "USD",
"total_price": 13.49,
"total_tax": 1.5,
"total_discount": 2.5,
"total_shipping": 3.5,
"ship_to_address": {
"full_name": "John Doe",
"company": "Company",
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States",
"phone_number": "123-456-7890",
"email_address": "johndoe@example.com"
},
"bill_to_address": {
"full_name": "John Doe",
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States"
},
"earliest_ship_date": "2022-10-10T01:02:03Z",
"latest_ship_date": "2022-10-10T01:02:03Z",
"line_items": [
{
"line_item_id": "line_item_id",
"product_id": null,
"product_sku": null,
"parent_product_id": null,
"parent_product_sku": null,
"quantity": 1,
"unit_price": 10.99,
"discount": 1.5,
"tax": 0.5,
"warehouse_id": "warehouse_id"
}
],
"shipping_groups": [
{
"shipping_group_id": "shipping_group_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"raw_status": "raw_status",
"status": "shipped",
"warehouse_id": "warehouse_id",
"line_items": [
{
"line_item_id": "shipping_group_line_item_id",
"product_id": "<string>",
"product_sku": "<string>",
"parent_product_id": "<string>",
"quantity": 0
}
]
}
],
"shipments": [
{
"shipment_id": "shipment_id",
"raw_status": "raw_status",
"status": "shipped",
"warehouse_id": "warehouse_id",
"shipping_method_id": "shipment_shipping_method_id",
"shipping_method_name": "shipment_shipping_method_name",
"carrier_id": "carrier_id",
"carrier_name": "carrier_name",
"tracking_number": "<string>",
"tracking_url": "https://www.example.com/tracking",
"line_items": [
{
"shipment_line_item_id": "<string>",
"product_id": "<string>",
"product_sku": "<string>",
"parent_product_id": "<string>",
"parent_product_sku": "<string>",
"quantity": 0
}
],
"shipping_groups": [
"sg_id_1",
"sg_id_2"
],
"ship_from_address": {
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States"
},
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z"
}
],
"tags": [
"tag_0"
],
"external_system_url": "https://example.com/order/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-11-07T05:31:56Z",
"trackstar_updated_date": "2023-11-07T05:31:56Z"
}
],
"next_token": "next_token",
"total_count": 1
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Get All Cart Orders
Returns all Orders for the Cart connection associated with the provided access token.
Headers
Your organization-level Trackstar API key.
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
"<x-trackstar-access-token>"
Query Parameters
The page token to use to retrieve the next page of results. If this field is omitted, there are no subsequent pages.
"page_token"
The maximum number of items to return. The default is 1000.
1 <= x <= 10001000
Show child attributes
Show child attributes
Use this parameter to retrieve items filtered to a specific date range. For example, to get all items between 2023-03-10 and 2023-03-22, you would send created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z. See the filtering docs for more. The date format must always be YYYY-MM-DDTHH:MM:SSZ.
Note: it is much more efficient to use a combination of gte/lte than it is to use gt/lt.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
Same syntax as created_date.
Show child attributes
Show child attributes
Filter by trackstar tags. Dict-shaped tags should be queried as "key:value" strings.
Show child attributes
Show child attributes
The status of the order. See the order information [blocked] for more details.
Show child attributes
Show child attributes
A user-friendly identifier for the order
Show child attributes
Show child attributes
Filter orders by their tags
Show child attributes
Show child attributes
Filter orders by the SKUs in the line items
Show child attributes
Show child attributes
Only available for Shopify. Filter orders by the warehouse IDs of the shipping groups.
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
See pagination for more details.
"next_token"
The number of items returned.
1